#include <iostream>
using namespace std;

int main()
{
	int N, i, L, privremenoL, R, operacija1, operacija2, proizvod;
	int max = 0;
	int a = 0;
	int niz[200005];
	int A[200005];
	int B[200005];
	cin >> N;
	for (i = 0; i < N; i++) {
		cin >> A[i];
		cin >> B[i];
	}
	for (a = 0; a < 200005; a++) {
		niz[a] = a + 1;
}
	for (L = 0; L < N; L++) {
		for (R = 0; R < N; R++) {
			privremenoL = L;
			operacija1 = A[privremenoL];
			while (privremenoL <= R) {
				operacija1 ^= A[privremenoL];
				privremenoL++;
			}
			privremenoL = L;
			operacija2 = B[privremenoL];
			while (privremenoL <= R) {
				operacija2 &= B[privremenoL];
				privremenoL++;
			}
			proizvod = operacija1 * operacija2;
			if (max < proizvod) {
				max = proizvod;
			}
		}
			}
	cout << max;
		}